View Issue Details

IDProjectCategoryView StatusLast Update
0001448SymmetricDSImprovementpublic2014-02-02 20:53
ReportermhanesAssigned Tomhanes 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.10 
Target Version3.5.11Fixed in Version3.5.11 
Summary0001448: Provide global parameter to specify that BSH database writer filters will handle missing tables
DescriptionThis would allow for the override of catalog or schema or table names in a general way via a bsh load filter.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 8164d787

2013-10-21 10:53:01

eegeek

Details Diff
0001448: Provide global parameter to specify that BSH database writer filters will handle missing tables
0001448
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/load/BshDatabaseWriterFilter.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: master 0e7cb61f

2013-10-21 12:30:05

eegeek

Details Diff
0001448: Provide global parameter to specify that BSH database writer filters will handle missing tables
0001448
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File

SymmetricDS: master ffba45a4

2013-10-21 15:05:38

eegeek

Details Diff
0001448: Provide global parameter to specify that BSH database writer filters will handle missing tables
0001448
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

SymmetricDS: master e4ff471d

2013-10-21 15:13:09

eegeek

Details Diff
0001448: Provide global parameter to specify that BSH database writer filters will handle missing tables
0001448
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

SymmetricDS: master c865aadb

2013-10-21 15:14:31

eegeek

Details Diff
0001448: Provide global parameter to specify that BSH database writer filters will handle missing tables
0001448
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

SymmetricDS: master 16efe75a

2013-10-21 16:09:11

eegeek

Details Diff
0001448: Provide global parameter to specify that BSH database writer filters will handle missing tables
0001448
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

SymmetricDS: master 8ad7c100

2013-10-21 18:05:27

eegeek

Details Diff
0001448: Provide global parameter to specify that BSH database writer filters will handle missing tables
0001448
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

SymmetricDS: master 3635b1cd

2013-10-21 18:19:28

eegeek

Details Diff
0001448: Provide global parameter to specify that BSH database writer filters will handle missing tables
0001448
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File

SymmetricDS: master 0e000e4c

2013-10-21 18:39:45

eegeek

Details Diff
0001448: Provide global parameter to specify that BSH database writer filters will handle missing tables
0001448
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/AbstractJdbcDdlReader.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSqlDdlReader.java Diff File

Issue History

Date Modified Username Field Change
2013-10-21 10:49 mhanes New Issue
2013-10-21 10:49 mhanes Status new => assigned
2013-10-21 10:49 mhanes Assigned To => mhanes
2013-10-22 18:08 chenson Project SymmetricDS Pro => SymmetricDS
2013-10-22 18:12 chenson Status assigned => resolved
2013-10-22 18:12 chenson Fixed in Version => 3.5.11
2013-10-22 18:12 chenson Resolution open => fixed
2013-11-14 11:00 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7740
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7741
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7742
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7743
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7744
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7745
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7746
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7747
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7748
2015-07-30 21:49 Changeset attached => SymmetricDS master 0e000e4c
2015-07-30 21:49 Changeset attached => SymmetricDS master 3635b1cd
2015-07-30 21:49 Changeset attached => SymmetricDS master 8ad7c100
2015-07-30 21:49 Changeset attached => SymmetricDS master 16efe75a
2015-07-30 21:49 Changeset attached => SymmetricDS master c865aadb
2015-07-30 21:49 Changeset attached => SymmetricDS master e4ff471d
2015-07-30 21:49 Changeset attached => SymmetricDS master ffba45a4
2015-07-30 21:49 Changeset attached => SymmetricDS master 0e7cb61f
2015-07-30 21:49 Changeset attached => SymmetricDS master 8164d787